<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.example.virtualstore">

    <uses-permission android:name="android.permission.INTERNET" />

    <application
        android:allowBackup="true"
        android:icon="@mipmap/ico_default"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/ico_default"
        android:supportsRtl="true"
        android:theme="@style/Theme.VirtualStore"
        android:usesCleartextTraffic="true">

        <activity android:name=".ui.ViewActivity.SplashActivity"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan">

        </activity>

        <activity
            android:name=".ui.ViewActivity.MainActivity"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan">

        </activity>

        <activity
            android:name=".ui.ViewActivity.WelcomeActivity"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>

        <meta-data
            android:name="preloaded_fonts"
            android:resource="@array/preloaded_fonts" />

        <service android:name=".firebase.MyFirebaseInstanceIdService">
            <intent-filter>
                <action android:name="com.google.firebase.INSTANCE_ID_EVENT" />
            </intent-filter>

        </service>

        <service android:name=".firebase.MyFirebaseMessagingservice">
            <intent-filter>
                <action android:name="com.google.firebase.MESSAGING_EVENT" />
            </intent-filter>
        </service>

    </application>

</manifest>